<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE TS>
<TS version="2.1" language="ar">
<context>
    <name>Dialog</name>
    <message>
        <location filename="../layouts/dio_sensor.ui" line="19"/>
        <source>Sensor Reading</source>
        <translation> قراءة الاستشعار</translation>
    </message>
    <message>
        <location filename="../layouts/dio_sensor.ui" line="52"/>
        <source>Data Logger</source>
        <translation> مسجل البيانات</translation>
    </message>
    <message>
        <location filename="../layouts/dio_sensor.ui" line="59"/>
        <source>Initialize</source>
        <translation> تهيئة</translation>
    </message>
    <message>
        <location filename="../layouts/dio_sensor.ui" line="66"/>
        <source>Scale</source>
        <translation> مقياس</translation>
    </message>
    <message>
        <location filename="../layouts/dio_sensor.ui" line="124"/>
        <source>SINE FIT</source>
        <translation type="unfinished">سين فت</translation>
    </message>
    <message>
        <location filename="../layouts/dio_sensor.ui" line="137"/>
        <source>Pause</source>
        <translation> وقفة</translation>
    </message>
    <message>
        <location filename="../layouts/dio_sensor.ui" line="144"/>
        <source>DAMPED SINE FIT</source>
        <translation>دامبد سين فت </translation>
    </message>
    <message>
        <location filename="../layouts/inputSelector.ui" line="19"/>
        <source>Configure Axis</source>
        <translation type="unfinished"> تكوين المحور </translation>
    </message>
    <message>
        <location filename="../layouts/inputSelector.ui" line="71"/>
        <source>REFRESH</source>
        <translation> تحديث </translation>
    </message>
    <message>
        <location filename="../layouts/inputSelector.ui" line="97"/>
        <source>.</source>
        <translation>.</translation>
    </message>
    <message>
        <location filename="../layouts/inputSelector.ui" line="128"/>
        <source>CONFIRM</source>
        <translation> تؤكد </translation>
    </message>
    <message>
        <location filename="../layouts/inputSelector.ui" line="146"/>
        <source>Min </source>
        <translation>Min </translation>
    </message>
    <message>
        <location filename="../layouts/inputSelector.ui" line="165"/>
        <source>Max </source>
        <translation>Max </translation>
    </message>
    <message>
        <location filename="../layouts/dio_control.ui" line="14"/>
        <source>Control</source>
        <translation type="unfinished"> مراقبة </translation>
    </message>
    <message>
        <location filename="../layouts/dio_robot.ui" line="14"/>
        <source>Dialog</source>
        <translation type="unfinished"> حوار </translation>
    </message>
    <message>
        <location filename="../layouts/screenshot.ui" line="14"/>
        <source>Screnshot</source>
        <translation type="unfinished"> لقطة شاشة </translation>
    </message>
    <message>
        <location filename="../layouts/screenshot.ui" line="48"/>
        <source>Translations =</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../layouts/screenshot.ui" line="61"/>
        <source>Path =</source>
        <translation type="unfinished"> طريق </translation>
    </message>
    <message>
        <location filename="../layouts/screenshot.ui" line="71"/>
        <source>PNG, width =</source>
        <translation type="unfinished"> العرض </translation>
    </message>
    <message>
        <location filename="../layouts/eyes17_manuals.ui" line="14"/>
        <source>Choose the format</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../layouts/eyes17_manuals.ui" line="20"/>
        <source>Format for the User Manual</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../layouts/eyes17_manuals.ui" line="26"/>
        <source>PDF</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../layouts/eyes17_manuals.ui" line="36"/>
        <source>EPUB</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>Expt</name>
    <message>
        <location filename="../BHCurve.py" line="40"/>
        <source>Voltage (V) -&gt; Current -&gt; Magnetic Field(B)</source>
        <translation> الفولتية (V)-&gt; تيار  -&gt; المجال المغنطيسي (B)</translation>
    </message>
    <message>
        <location filename="../BHCurve.py" line="42"/>
        <source>Magnetic Field (H)</source>
        <translation> المجال المغنطيسي (H)</translation>
    </message>
    <message>
        <location filename="../thermocouplelogger.py" line="103"/>
        <source>Start</source>
        <translation> بداية </translation>
    </message>
    <message>
        <location filename="../thermocouplelogger.py" line="107"/>
        <source>Stop</source>
        <translation> قف </translation>
    </message>
    <message>
        <location filename="../thermocouplelogger.py" line="111"/>
        <source>Clear Traces</source>
        <translation>  آثار واضحة </translation>
    </message>
    <message>
        <location filename="../XYplot.py" line="72"/>
        <source>Save Data</source>
        <translation> حفظ البيانات </translation>
    </message>
    <message>
        <location filename="../BHCurve.py" line="95"/>
        <source>MPU925x Sensor Not Found</source>
        <translation>MPU925x جهاز الاستشعار غير موجود </translation>
    </message>
    <message>
        <location filename="../BHCurve.py" line="122"/>
        <source>Completed plotting B-H</source>
        <translation>B-H تم الانتهاء من التآمر </translation>
    </message>
    <message>
        <location filename="../BHCurve.py" line="132"/>
        <source>Residual Magnetic Field: %.2f</source>
        <translation> تم الانتهاء من التآمر: %.2f</translation>
    </message>
    <message>
        <location filename="../pnpCEout.py" line="158"/>
        <source>Started</source>
        <translation>  بدأت </translation>
    </message>
    <message>
        <location filename="../thermocouplelogger.py" line="210"/>
        <source>User Stopped</source>
        <translation> توقف المستخدم </translation>
    </message>
    <message>
        <location filename="../thermocouplelogger.py" line="218"/>
        <source>Cleared Traces and Data</source>
        <translation> تم مسح الآثار والبيانات  </translation>
    </message>
    <message>
        <location filename="../sr04dist.py" line="271"/>
        <source>No data to save</source>
        <translation> لا توجد بيانات لحفظها </translation>
    </message>
    <message>
        <location filename="../XYplot.py" line="200"/>
        <source>Traces saved to </source>
        <translation> تم حفظ الآثار في </translation>
    </message>
    <message>
        <location filename="../XYplot.py" line="241"/>
        <source>Error. Try Device-&gt;Reconnect</source>
        <translation> خطأ. جرب الجهاز &gt; أعد الاتصال </translation>
    </message>
    <message>
        <location filename="../pnpCEout.py" line="40"/>
        <source>Voltage (V)</source>
        <translation> الفولتية (V)</translation>
    </message>
    <message>
        <location filename="../pnpCEout.py" line="42"/>
        <source> ???? (mA)</source>
        <translation type="obsolete">കരന്റ് (mA)</translation>
    </message>
    <message>
        <location filename="../diodeIV.py" line="50"/>
        <source>Zener Diode</source>
        <translation> زينر ديود </translation>
    </message>
    <message>
        <location filename="../diodeIV.py" line="109"/>
        <source>Fitted with Diode Equation : Io = </source>
        <translation> مزودة بمعادلة الصمام الثنائي : Io </translation>
    </message>
    <message>
        <location filename="../diodeIV.py" line="109"/>
        <source> mA , Ideality factor = </source>
        <translation> mA , عامل المثالية = </translation>
    </message>
    <message>
        <location filename="../rodPendulum.py" line="140"/>
        <source>Analysis failed. Could not fit data</source>
        <translation>  فشل التحليل. لا يمكن احتواء البيانات </translation>
    </message>
    <message>
        <location filename="../pnpCEout.py" line="117"/>
        <source>Completed plotting I-V</source>
        <translation>I-V تم الانتهاء من التآمر </translation>
    </message>
    <message>
        <location filename="../driven-pendulum.py" line="32"/>
        <source>This program sets SQ1 to high resolution mode. WG will be disabled.Frequency can be changed from 0.1 Hz to 50Hz</source>
        <translation type="unfinished">. 50Hz الي 0.1Hz  يمكن تغيير التردد من. سيتم تعطيل WG.  يحدد هذا البرنامج SQ1  . </translation>
    </message>
    <message>
        <location filename="../drivenRodPendulum.py" line="84"/>
        <source>Set SQ1</source>
        <translation> تعيين SQ1</translation>
    </message>
    <message>
        <location filename="../tof.py" line="81"/>
        <source>sqr1 set to </source>
        <translation> تم تعيين sqrl </translation>
    </message>
    <message>
        <location filename="../XYplot.py" line="211"/>
        <source> Hz</source>
        <translation> Hz</translation>
    </message>
    <message>
        <location filename="../rodPendulum.py" line="38"/>
        <source>Trials</source>
        <translation> التجارب </translation>
    </message>
    <message>
        <location filename="../rodPendulum.py" line="40"/>
        <source>Time Period (mSec)</source>
        <translation> الفترة الزمنية (mSec)</translation>
    </message>
    <message>
        <location filename="../rodPendulum.py" line="57"/>
        <source>Pendulum length</source>
        <translation> طول البندول </translation>
    </message>
    <message>
        <location filename="../sr04dist.py" line="57"/>
        <source>cm</source>
        <translation>cm</translation>
    </message>
    <message>
        <location filename="../rodPendulum.py" line="67"/>
        <source>Clear Data and Traces</source>
        <translation> مسح البيانات والآثار </translation>
    </message>
    <message>
        <location filename="../drivenRodPendulum.py" line="91"/>
        <source>Set WG</source>
        <translation>WG ക്രമീകരിക്കുക</translation>
    </message>
    <message>
        <location filename="../rodPendulum.py" line="84"/>
        <source>Number of trials</source>
        <translation> عدد التجارب </translation>
    </message>
    <message>
        <location filename="../rodPendulum.py" line="138"/>
        <source>Frequency of Oscillation = </source>
        <translation> تردد التذبذب = </translation>
    </message>
    <message>
        <location filename="../rodPendulum.py" line="138"/>
        <source> Hz. Damping Factor = </source>
        <translation> Hz. عامل التخميد = </translation>
    </message>
    <message>
        <location filename="../rodPendulum.py" line="155"/>
        <source>Timeout</source>
        <translation>  مهلة </translation>
    </message>
    <message>
        <location filename="../rodPendulum.py" line="170"/>
        <source>Completed</source>
        <translation> اكتمل  </translation>
    </message>
    <message>
        <location filename="../rodPendulum.py" line="186"/>
        <source>Invalid Number of trials</source>
        <translation> عدد غير صالح من المحاولات  </translation>
    </message>
    <message>
        <location filename="../rodPendulum.py" line="192"/>
        <source>Invalid Length</source>
        <translation> طول غير صحيح </translation>
    </message>
    <message>
        <location filename="../thermocouplelogger.py" line="205"/>
        <source>Started Measurements</source>
        <translation> بدأت القياسات </translation>
    </message>
    <message>
        <location filename="../dust_sensor.py" line="38"/>
        <source>Time (S)</source>
        <translation> الوقت (S)</translation>
    </message>
    <message>
        <location filename="../XYplot2.py" line="83"/>
        <source>Voltage</source>
        <translation> الفولتية </translation>
    </message>
    <message>
        <location filename="../dust_sensor.py" line="50"/>
        <source>Ratio =</source>
        <translation> النسبة =</translation>
    </message>
    <message>
        <location filename="../dust_sensor.py" line="52"/>
        <source>Occupancy =</source>
        <translation> الإشغال =</translation>
    </message>
    <message>
        <location filename="../dust_sensor.py" line="54"/>
        <source>Average Occupancy =</source>
        <translation> متوسط الإشغال =</translation>
    </message>
    <message>
        <location filename="../dust_sensor.py" line="56"/>
        <source>Concentration =</source>
        <translation> تركيز =</translation>
    </message>
    <message>
        <location filename="../XYplot.py" line="130"/>
        <source>messages</source>
        <translation> الرسائل </translation>
    </message>
    <message>
        <location filename="../editor.py" line="36"/>
        <source>Execute Code</source>
        <translation> نفذ الكود </translation>
    </message>
    <message>
        <location filename="../editor.py" line="39"/>
        <source>Save Code</source>
        <translation> احفظ الكود </translation>
    </message>
    <message>
        <location filename="../editor.py" line="67"/>
        <source>Code saved to </source>
        <translation> تم حفظ الرمز في </translation>
    </message>
    <message>
        <location filename="../soundFreqResp.py" line="48"/>
        <source>Frequency (Hz)</source>
        <translation> التردد (Hz)</translation>
    </message>
    <message>
        <location filename="../filterCircuit.py" line="53"/>
        <source>Amplitude Gain</source>
        <translation type="obsolete"> السعة كسب </translation>
    </message>
    <message>
        <location filename="../soundFreqResp.py" line="61"/>
        <source>From</source>
        <translation type="obsolete"> من  </translation>
    </message>
    <message>
        <location filename="../soundFreqResp.py" line="66"/>
        <source>to</source>
        <translation type="obsolete">  إلى </translation>
    </message>
    <message>
        <location filename="../XYplot.py" line="86"/>
        <source>Hz</source>
        <translation>Hz</translation>
    </message>
    <message>
        <location filename="../filterCircuit.py" line="93"/>
        <source>Number of Steps =</source>
        <translation type="obsolete"> عدد الخطوات =</translation>
    </message>
    <message>
        <location filename="../filterCircuit.py" line="233"/>
        <source>Frequency = </source>
        <translation> التردد = </translation>
    </message>
    <message>
        <location filename="../filterCircuit.py" line="251"/>
        <source>Fit failed</source>
        <translation> فشل الملاءمة </translation>
    </message>
    <message>
        <location filename="../filterCircuit.py" line="220"/>
        <source>completed</source>
        <translation type="obsolete"> اكتمل </translation>
    </message>
    <message>
        <location filename="../soundFreqResp.py" line="223"/>
        <source>Invalid Frequency limits</source>
        <translation>  حدود التكرار غير صالحة </translation>
    </message>
    <message>
        <location filename="../filterCircuit.py" line="315"/>
        <source>user Stopped</source>
        <translation> توقف المستخدم </translation>
    </message>
    <message>
        <location filename="../sr04dist.py" line="268"/>
        <source>Measurement in progress</source>
        <translation> القياس جاري </translation>
    </message>
    <message>
        <location filename="../i2cLogger.py" line="539"/>
        <source>Scan</source>
        <translation> مسح </translation>
    </message>
    <message>
        <location filename="../thermocouplelogger.py" line="53"/>
        <source>Time (mS)</source>
        <translation> الوقت (mS)</translation>
    </message>
    <message>
        <location filename="../induction.py" line="62"/>
        <source>Select Range of A1</source>
        <translation>A1 حدد نطاق </translation>
    </message>
    <message>
        <location filename="../induction.py" line="65"/>
        <source>4 V</source>
        <translation>4 V</translation>
    </message>
    <message>
        <location filename="../induction.py" line="74"/>
        <source>Start Scanning</source>
        <translation> ابدأ المسح </translation>
    </message>
    <message>
        <location filename="../induction.py" line="130"/>
        <source>Noise = </source>
        <translation> ضوضاء  = </translation>
    </message>
    <message>
        <location filename="../induction.py" line="130"/>
        <source> V. Drop the Magnet until a trace is captured</source>
        <translation> قم بإسقاط المغناطيس حتى يتم التقاط أثر </translation>
    </message>
    <message>
        <location filename="../induction.py" line="145"/>
        <source>Induced voltage </source>
        <translation> الفولتية المستحثة </translation>
    </message>
    <message>
        <location filename="../induction.py" line="148"/>
        <source>Detected voltage above threshold. Peak voltages: </source>
        <translation> تم الكشف عن الجهد فوق العتبة. الفولتية الذروة: </translation>
    </message>
    <message>
        <location filename="../logger.py" line="55"/>
        <source>Voltage(V)</source>
        <translation> الفولتية (V)</translation>
    </message>
    <message>
        <location filename="../thermocouplelogger.py" line="69"/>
        <source>Total Duration</source>
        <translation> المدة الإجمالية </translation>
    </message>
    <message>
        <location filename="../thermocouplelogger.py" line="85"/>
        <source>Seconds</source>
        <translation> ثواني </translation>
    </message>
    <message>
        <location filename="../thermocouplelogger.py" line="80"/>
        <source>Measure every</source>
        <translation> قياس كل </translation>
    </message>
    <message>
        <location filename="../lightsensorlogger.py" line="144"/>
        <source>TSL2561 Sensor Not Found</source>
        <translation> لم يتم العثور على جهاز الاستشعار </translation>
    </message>
    <message>
        <location filename="../thermocouplelogger.py" line="170"/>
        <source>Data logger plot completed</source>
        <translation> اكتملت مؤامرة مسجل البيانات </translation>
    </message>
    <message>
        <location filename="../thermocouplelogger.py" line="179"/>
        <source>Invalid Duration</source>
        <translation> المدة غير صحيحة </translation>
    </message>
    <message>
        <location filename="../thermocouplelogger.py" line="189"/>
        <source>Invalid time interval between reads</source>
        <translation> الفاصل الزمني غير صالح بين القراءات </translation>
    </message>
    <message>
        <location filename="../MPU6050.py" line="32"/>
        <source>Ax</source>
        <translation>Ax</translation>
    </message>
    <message>
        <location filename="../MPU6050.py" line="33"/>
        <source>Ay</source>
        <translation>Ay</translation>
    </message>
    <message>
        <location filename="../MPU6050.py" line="34"/>
        <source>Az</source>
        <translation>Az</translation>
    </message>
    <message>
        <location filename="../MPU6050.py" line="35"/>
        <source>Temperature</source>
        <translation> درجة الحرارة </translation>
    </message>
    <message>
        <location filename="../MPU6050.py" line="36"/>
        <source>Vx</source>
        <translation>Vx</translation>
    </message>
    <message>
        <location filename="../MPU6050.py" line="37"/>
        <source>Vy</source>
        <translation>Vy</translation>
    </message>
    <message>
        <location filename="../MPU6050.py" line="38"/>
        <source>Vz</source>
        <translation>Vz</translation>
    </message>
    <message>
        <location filename="../MPU6050.py" line="55"/>
        <source>Value</source>
        <translation> القيمة </translation>
    </message>
    <message>
        <location filename="../pendulumVelocity.py" line="56"/>
        <source>Duration</source>
        <translation> مدة </translation>
    </message>
    <message>
        <location filename="../MPU6050.py" line="83"/>
        <source>Read every</source>
        <translation> اقرأ كل </translation>
    </message>
    <message>
        <location filename="../MPU6050.py" line="88"/>
        <source>mS</source>
        <translation>mS</translation>
    </message>
    <message>
        <location filename="../MPU6050.py" line="137"/>
        <source>I2C device communication error</source>
        <translation>12C خطأ في اتصال الجهاز </translation>
    </message>
    <message>
        <location filename="../MPU6050.py" line="155"/>
        <source>MPU6050 data plot completed</source>
        <translation>MPU650 مؤامرة البيانات اكتملت </translation>
    </message>
    <message>
        <location filename="../MPU6050.py" line="170"/>
        <source>Invalid Duration or Time between reads (&gt; 10 mSec)</source>
        <translation> المدة أو الوقت غير صالح بين القراءات (&gt; 10 mSec)</translation>
    </message>
    <message>
        <location filename="../soundFreqResp.py" line="282"/>
        <source>No Traces available for saving</source>
        <translation> لا توجد آثار متاحة للحفظ </translation>
    </message>
    <message>
        <location filename="../pnpCEout.py" line="53"/>
        <source>Vbase (via 100kOhm)</source>
        <translation> Vbase (عبر 100kOhm)</translation>
    </message>
    <message>
        <location filename="../pnpCEout.py" line="58"/>
        <source>V</source>
        <translation>V</translation>
    </message>
    <message>
        <location filename="../npnCEout.py" line="138"/>
        <source>Base voltage should be from .5 to 3</source>
        <translation type="unfinished">5 الي 3  يجب أن يكون الجهد الأساسي من </translation>
    </message>
    <message>
        <location filename="../npnCEout.py" line="140"/>
        <source>Invalid Base voltage, should be from .5 to 3</source>
        <translation type="unfinished"> الجهد الأساسي غير صالح ، يجب أن يكون من3 الي5   </translation>
    </message>
    <message>
        <location filename="../plotIV.py" line="105"/>
        <source>Analyze last Trace</source>
        <translation> تحليل آخر أثر </translation>
    </message>
    <message>
        <location filename="../pendulumVelocity.py" line="167"/>
        <source>Time Vs Angular velocity plot completed</source>
        <translation> اكتمل مؤامرة السرعة الزاويّة مقابل الزمن </translation>
    </message>
    <message>
        <location filename="../plotIV.py" line="48"/>
        <source>Current through R (mA)</source>
        <translation>R- من خلال التيار (mA)</translation>
    </message>
    <message>
        <location filename="../plotIV.py" line="50"/>
        <source>Voltage across R(Volts)</source>
        <translation>R-  عبر الفولتية (volts)</translation>
    </message>
    <message>
        <location filename="../plotIV.py" line="63"/>
        <source>R to Ground</source>
        <translation>R(على الأرض )</translation>
    </message>
    <message>
        <location filename="../RLtransient.py" line="102"/>
        <source>Ohm</source>
        <translation> أوم </translation>
    </message>
    <message>
        <location filename="../plotIV.py" line="117"/>
        <source>Change Voltage</source>
        <translation>  تغيير الجهد </translation>
    </message>
    <message>
        <location filename="../plotIV.py" line="124"/>
        <source>Voltage = %5.3f</source>
        <translation> الفولتية = %5.3f</translation>
    </message>
    <message>
        <location filename="../plotIV.py" line="129"/>
        <source>Current = 0 mA</source>
        <translation> تيار = 0 mA</translation>
    </message>
    <message>
        <location filename="../plotIV.py" line="161"/>
        <source>Voltage = %5.3f V</source>
        <translation> الفولتية = %5.3V</translation>
    </message>
    <message>
        <location filename="../plotIV.py" line="163"/>
        <source>Current = %5.3f mA</source>
        <translation> تيار = %5.3f mA</translation>
    </message>
    <message>
        <location filename="../plotIV.py" line="176"/>
        <source>Slope of the Line (dV/dI) = </source>
        <translation> منحدر الخط  (dV/dI) = </translation>
    </message>
    <message>
        <location filename="../plotIV.py" line="228"/>
        <source>Err</source>
        <translation> خطأ </translation>
    </message>
    <message>
        <location filename="../pnpCEout.py" line="136"/>
        <source>Base voltage should be from -0.5 to -3</source>
        <translation type="unfinished"> يجب أن يكون الجهد الأساسي من3الي 5  </translation>
    </message>
    <message>
        <location filename="../pnpCEout.py" line="138"/>
        <source>Invalid Base voltage, should be from -0.5 to -3</source>
        <translation type="unfinished"> من3الي 5  الجهد الأساسي غير صالح ، يجب أن يكون من </translation>
    </message>
    <message>
        <location filename="../pt100.py" line="55"/>
        <source>Temperature (C)</source>
        <translation type="unfinished"> درجة الحرارة (c)</translation>
    </message>
    <message>
        <location filename="../pt100.py" line="66"/>
        <source>Measure A3</source>
        <translation>A3 قياس </translation>
    </message>
    <message>
        <location filename="../pt100.py" line="76"/>
        <source>A3 Gain</source>
        <translation>A3 ربح </translation>
    </message>
    <message>
        <location filename="../pt100.py" line="81"/>
        <source>1+10k/Rg</source>
        <translation>1+10k/Rg</translation>
    </message>
    <message>
        <location filename="../pt100.py" line="87"/>
        <source>A3 Offset</source>
        <translation>A3 تعويض </translation>
    </message>
    <message>
        <location filename="../pt100.py" line="92"/>
        <source>mV </source>
        <translation>mV </translation>
    </message>
    <message>
        <location filename="../pt100.py" line="98"/>
        <source>CCS Value</source>
        <translation>CSS قيمة </translation>
    </message>
    <message>
        <location filename="../pt100.py" line="103"/>
        <source>mA</source>
        <translation>mA</translation>
    </message>
    <message>
        <location filename="../pt100.py" line="110"/>
        <source>Lowest Temp</source>
        <translation> أدنى درجة حرارة </translation>
    </message>
    <message>
        <location filename="../pt100.py" line="126"/>
        <source>deg C</source>
        <translation> درجة C</translation>
    </message>
    <message>
        <location filename="../pt100.py" line="121"/>
        <source>Highest Temp</source>
        <translation>  أعلى درجة حرارة </translation>
    </message>
    <message>
        <location filename="../pt100.py" line="210"/>
        <source>%5.3f V</source>
        <translation>%5.3f V</translation>
    </message>
    <message>
        <location filename="../pt100.py" line="242"/>
        <source>Time Vs Temperature plot completed</source>
        <translation> تم الانتهاء من مؤامرة الوقت مقابل درجة الحرارة </translation>
    </message>
    <message>
        <location filename="../pt100.py" line="271"/>
        <source>Invalid temperature limit</source>
        <translation> حد درجة الحرارة غير صالح </translation>
    </message>
    <message>
        <location filename="../pt100.py" line="278"/>
        <source>Invalid Offset or Gain</source>
        <translation> إزاحة أو ربح غير صالح </translation>
    </message>
    <message>
        <location filename="../pt100.py" line="284"/>
        <source>Invalid CCS input</source>
        <translation> إدخال CCS غير صالح </translation>
    </message>
    <message>
        <location filename="../soundVelocity.py" line="88"/>
        <source>Timebase</source>
        <translation>  القاعدة الزمنية </translation>
    </message>
    <message>
        <location filename="../soundVelocity.py" line="93"/>
        <source>mS/div</source>
        <translation>mS/div</translation>
    </message>
    <message>
        <location filename="../RCtransient.py" line="89"/>
        <source>Calculate RC</source>
        <translation>RC القاعدة الوظيفية </translation>
    </message>
    <message>
        <location filename="../RLtransient.py" line="111"/>
        <source>Clear Data &amp; Traces</source>
        <translation></translation>
    </message>
    <message>
        <location filename="../RCtransient.py" line="98"/>
        <source>Resistance =</source>
        <translation> المقاومة =</translation>
    </message>
    <message>
        <location filename="../RCtransient.py" line="150"/>
        <source> mSec</source>
        <translation> mSec</translation>
    </message>
    <message>
        <location filename="../RCtransient.py" line="185"/>
        <source>Cleared Data and Traces</source>
        <translation> مسح البيانات والآثار </translation>
    </message>
    <message>
        <location filename="../XYplot.py" line="211"/>
        <source>AWG set to </source>
        <translation>AWG تعيين ل </translation>
    </message>
    <message>
        <location filename="../XYplot.py" line="79"/>
        <source>WG</source>
        <translation>WG</translation>
    </message>
    <message>
        <location filename="../RLCsteadystate.py" line="156"/>
        <source>Impedance Calculator</source>
        <translation> حاسبة المعاوقة </translation>
    </message>
    <message>
        <location filename="../RLCsteadystate.py" line="160"/>
        <source>F (in Hz)</source>
        <translation>F(Hz في)</translation>
    </message>
    <message>
        <location filename="../RLCsteadystate.py" line="166"/>
        <source>R (in Ohms)</source>
        <translation>R(ohms في)</translation>
    </message>
    <message>
        <location filename="../RLCsteadystate.py" line="175"/>
        <source>C (in uF)</source>
        <translation>C (uF في)</translation>
    </message>
    <message>
        <location filename="../RLCsteadystate.py" line="180"/>
        <source>L (in mH)</source>
        <translation>L(mH في)</translation>
    </message>
    <message>
        <location filename="../RLCsteadystate.py" line="188"/>
        <source>Calculate XL, XC and Fo</source>
        <translation>XL, XC, Fo XL, احسب </translation>
    </message>
    <message>
        <location filename="../RLCsteadystate.py" line="219"/>
        <source>Curve fitting result rejected</source>
        <translation> تم رفض نتيجة تركيب المنحنى </translation>
    </message>
    <message>
        <location filename="../RLCsteadystate.py" line="283"/>
        <source>Data Analysis Error</source>
        <translation> خطأ في تحليل البيانات &gt; خطأ </translation>
    </message>
    <message>
        <location filename="../RLCsteadystate.py" line="288"/>
        <source>Vtotal (A1 = %5.2f V)</source>
        <translation type="unfinished">Vtotal (A1) = %5.2f V</translation>
    </message>
    <message>
        <location filename="../RLCsteadystate.py" line="289"/>
        <source>Vr (A2 = %5.2f V)</source>
        <translation type="unfinished">Vr (A2) = %5.2f V</translation>
    </message>
    <message>
        <location filename="../RLCsteadystate.py" line="290"/>
        <source>Vlc (A2-A1 = %5.2f V)</source>
        <translation type="unfinished">Vlc (A2-A1) = %5.2f V</translation>
    </message>
    <message>
        <location filename="../RLCsteadystate.py" line="292"/>
        <source>F = %5.1f Hz</source>
        <translation>F = %5.1f Hz</translation>
    </message>
    <message>
        <location filename="../RLCsteadystate.py" line="293"/>
        <source>Phase Diff = %5.1f deg</source>
        <translation> فرق المرحلة = %5.1f deg</translation>
    </message>
    <message>
        <location filename="../RLCsteadystate.py" line="296"/>
        <source>Vc (A3-A1 = %5.2f V)</source>
        <translation type="unfinished">Vc (A3-A1) = %5.2f V</translation>
    </message>
    <message>
        <location filename="../RLCsteadystate.py" line="297"/>
        <source>Vl (A2-A3 = %5.2f V)</source>
        <translation type="unfinished">Vl (A2-A3) = %5.2f V</translation>
    </message>
    <message>
        <location filename="../RLCtransient.py" line="100"/>
        <source>Analyse latest Data</source>
        <translation>  تحليل أحدث البيانات </translation>
    </message>
    <message>
        <location filename="../RLCtransient.py" line="108"/>
        <source>Clear Data</source>
        <translation>  امسح البيانات </translation>
    </message>
    <message>
        <location filename="../RLCtransient.py" line="145"/>
        <source>Resonant Frequency = </source>
        <translation> تردد الرنين = </translation>
    </message>
    <message>
        <location filename="../RLCtransient.py" line="145"/>
        <source> kHz Damping factor= </source>
        <translation> kHz. عامل التخميد = </translation>
    </message>
    <message>
        <location filename="../XYplot2.py" line="97"/>
        <source>Save Data to</source>
        <translation> حفظ البيانات في </translation>
    </message>
    <message>
        <location filename="../RLtransient.py" line="73"/>
        <source>RCtransient.txt</source>
        <translation>RCtransient.txt</translation>
    </message>
    <message>
        <location filename="../RLtransient.py" line="107"/>
        <source>Analyse last Trace</source>
        <translation> تحليل آخر أثر </translation>
    </message>
    <message>
        <location filename="../RLtransient.py" line="151"/>
        <source>Enter a valid Resistance</source>
        <translation> أدخل مقاومة صالحة </translation>
    </message>
    <message>
        <location filename="../RLtransient.py" line="181"/>
        <source>L/R = </source>
        <translation>L/R = </translation>
    </message>
    <message>
        <location filename="../RLtransient.py" line="181"/>
        <source> Ohm : L = </source>
        <translation> أوم : L = </translation>
    </message>
    <message>
        <location filename="../RLtransient.py" line="181"/>
        <source> mH</source>
        <translation> mH</translation>
    </message>
    <message>
        <location filename="../scope.py" line="168"/>
        <source>Reconnecting...</source>
        <translation> إعادة الاتصال...</translation>
    </message>
    <message>
        <location filename="../scope.py" line="184"/>
        <source>Device Reconnected</source>
        <translation type="obsolete"> تمت إعادة توصيل الجهاز </translation>
    </message>
    <message>
        <location filename="../scope.py" line="210"/>
        <source>Error. Could not connect. Check cable. </source>
        <translation> خطأ. تعذر الاتصال. تحقق من الكابل </translation>
    </message>
    <message>
        <location filename="../sr04dist.py" line="171"/>
        <source>Fundamental frequency = %5.1f Hz</source>
        <translation> التردد الأساسى = %5.1f Hz</translation>
    </message>
    <message>
        <location filename="../sr04dist.py" line="174"/>
        <source>Frequency Spectrum</source>
        <translation> الطيف الترددي </translation>
    </message>
    <message>
        <location filename="../scope.py" line="475"/>
        <source>FFT Error</source>
        <translation>FFT خطأ </translation>
    </message>
    <message>
        <location filename="../scope.py" line="282"/>
        <source>Time: %6.2fmS </source>
        <translation> وقت: %6.2fmS </translation>
    </message>
    <message>
        <location filename="../scope.py" line="291"/>
        <source>%s:%6.2fV </source>
        <translation>%s:%6.2fV </translation>
    </message>
    <message>
        <location filename="../scope.py" line="360"/>
        <source>%5.2f V, %5.1f Hz</source>
        <translation>%5.2f V, %5.1f Hz</translation>
    </message>
    <message>
        <location filename="../scope.py" line="390"/>
        <source>A%d %5.3f V</source>
        <translation>A%d %5.3f V</translation>
    </message>
    <message>
        <location filename="../scope.py" line="392"/>
        <source>A%d</source>
        <translation>A%d</translation>
    </message>
    <message>
        <location filename="../scope.py" line="397"/>
        <source>%5.0f Ohm</source>
        <translation>%5.0f أوم </translation>
    </message>
    <message>
        <location filename="../scope.py" line="399"/>
        <source>Resistance: &lt;100Ohm  or  &gt;100k</source>
        <translation> مقاومة: &lt;100Ohm  or  &gt;100k</translation>
    </message>
    <message>
        <location filename="../scope.py" line="636"/>
        <source>Output Changed from WG to SQ2</source>
        <translation> تم تغيير الإخراج من WG إلى SQ2</translation>
    </message>
    <message>
        <location filename="../scope.py" line="690"/>
        <source> pF</source>
        <translation> pF</translation>
    </message>
    <message>
        <location filename="../scope.py" line="693"/>
        <source> nF</source>
        <translation> nF</translation>
    </message>
    <message>
        <location filename="../scope.py" line="696"/>
        <source> uF</source>
        <translation> uF</translation>
    </message>
    <message>
        <location filename="../scope.py" line="709"/>
        <source>%5.1fHz %4.1f%%</source>
        <translation>%5.1fHz %4.1f%%</translation>
    </message>
    <message>
        <location filename="../scope.py" line="711"/>
        <source>No signal</source>
        <translation> لا توجد تغطية </translation>
    </message>
    <message>
        <location filename="../soundBeats.py" line="90"/>
        <source>SQ1</source>
        <translation>SQ1</translation>
    </message>
    <message>
        <location filename="../soundBeats.py" line="106"/>
        <source>Enable WG</source>
        <translation>WG يُمكَن </translation>
    </message>
    <message>
        <location filename="../soundBeats.py" line="110"/>
        <source>Enable SQ1</source>
        <translation>SQ1 يُمكَن </translation>
    </message>
    <message>
        <location filename="../soundVelocity.py" line="98"/>
        <source>Enable Measurements</source>
        <translation> تمكين القياسات </translation>
    </message>
    <message>
        <location filename="../soundBeats.py" line="171"/>
        <source>FFT err</source>
        <translation>FFT يخطئ </translation>
    </message>
    <message>
        <location filename="../soundVelocity.py" line="178"/>
        <source>Disable before Saving</source>
        <translation> تعطيل قبل الحفظ </translation>
    </message>
    <message>
        <location filename="../soundVelocity.py" line="190"/>
        <source>Trace saved to </source>
        <translation> تم حفظ التتبع </translation>
    </message>
    <message>
        <location filename="../soundFreqResp.py" line="50"/>
        <source>Amplitude (V)</source>
        <translation> السعة (V)</translation>
    </message>
    <message>
        <location filename="../soundFreqResp.py" line="82"/>
        <source>seconds</source>
        <translation type="obsolete"> ثواني </translation>
    </message>
    <message>
        <location filename="../soundFreqResp.py" line="183"/>
        <source>Frequency = %5.0f Hz V = %5.3f</source>
        <translation> تكرار = %5.0f Hz V = %5.3f</translation>
    </message>
    <message>
        <location filename="../tof.py" line="73"/>
        <source> Seconds</source>
        <translation> ثانية </translation>
    </message>
    <message>
        <location filename="../soundFreqResp.py" line="229"/>
        <source>Invalid Time interval</source>
        <translation> الفاصل الزمني غير صالح </translation>
    </message>
    <message>
        <location filename="../soundVelocity.py" line="173"/>
        <source>Phase Shift = </source>
        <translation> مرحلة التحول = </translation>
    </message>
    <message>
        <location filename="../sr04dist.py" line="39"/>
        <source>Time (Sec)</source>
        <translation> الوقت (Sec)</translation>
    </message>
    <message>
        <location filename="../sr04dist.py" line="41"/>
        <source>Distance(cm)</source>
        <translation>ദൂരം(cm)</translation>
    </message>
    <message>
        <location filename="../sr04dist.py" line="52"/>
        <source>Y-axis from 0 to</source>
        <translation>Y- المحور من 0 إلى </translation>
    </message>
    <message>
        <location filename="../sr04dist.py" line="69"/>
        <source>Secs</source>
        <translation> ثانيا </translation>
    </message>
    <message>
        <location filename="../sr04dist.py" line="90"/>
        <source>Fourier Transform</source>
        <translation> تحويل فورييه </translation>
    </message>
    <message>
        <location filename="../sr04dist.py" line="215"/>
        <source>Time vs Distance plot completed</source>
        <translation> تم الانتهاء من مخطط الوقت مقابل المسافة </translation>
    </message>
    <message>
        <location filename="../tof.py" line="41"/>
        <source>Measure</source>
        <translation> يقيس </translation>
    </message>
    <message>
        <location filename="../tof.py" line="67"/>
        <source>start..</source>
        <translation> بداية..</translation>
    </message>
    <message>
        <location filename="../tof.py" line="73"/>
        <source>Time of flight =</source>
        <translation> وقت الرحلة =</translation>
    </message>
    <message>
        <location filename="../tof.py" line="75"/>
        <source>Error. Try again</source>
        <translation> خطأ. حاول مرة أخرى </translation>
    </message>
    <message>
        <location filename="../XYplot.py" line="56"/>
        <source>Voltage  A2</source>
        <translation> الفولتية  A2</translation>
    </message>
    <message>
        <location filename="../XYplot.py" line="147"/>
        <source>Voltage (A2)</source>
        <translation> الفولتية (A2)</translation>
    </message>
    <message>
        <location filename="../XYplot2.py" line="69"/>
        <source>Voltage  A1</source>
        <translation> الفولتية  A1</translation>
    </message>
    <message>
        <location filename="../XYplot2.py" line="81"/>
        <source>Time</source>
        <translation>الوقت</translation>
    </message>
    <message>
        <location filename="../XYplot2.py" line="101"/>
        <source>XYplot.txt</source>
        <translation>XYplot.txt</translation>
    </message>
    <message>
        <location filename="../XYplot.py" line="92"/>
        <source>Voltage range</source>
        <translation> نطاق الفولتية </translation>
    </message>
    <message>
        <location filename="../XYplot.py" line="97"/>
        <source>Volts</source>
        <translation> فولت  </translation>
    </message>
    <message>
        <location filename="../XYplot.py" line="145"/>
        <source>Voltage (A1-A2)</source>
        <translation> فولت (A1-A2)</translation>
    </message>
    <message>
        <location filename="../XYplot.py" line="184"/>
        <source>Xmax = %5.3f V</source>
        <translation>Xmax = %5.3f V</translation>
    </message>
    <message>
        <location filename="../XYplot.py" line="185"/>
        <source>Ymax = %5.3f V</source>
        <translation>Ymax = %5.3f V</translation>
    </message>
    <message>
        <location filename="../BHCurve.py" line="62"/>
        <source>Set Zero</source>
        <translation type="unfinished">&gt; تعيين الصفر ؤ</translation>
    </message>
    <message>
        <location filename="../diodeIV.py" line="61"/>
        <source>FIT with I=Io* exp(qV/nkT)</source>
        <translation type="unfinished">ഫിറ്റ്  I=Io* exp(qV/nkT)</translation>
    </message>
    <message>
        <location filename="../pendulumVelocity.py" line="87"/>
        <source>
Set SQ1 Frequency
For Driven Pendulum Expt.</source>
        <translation type="unfinished">SQ1 ضبط تردد </translation>
    </message>
    <message>
        <location filename="../plotIV.py" line="75"/>
        <source>Starting PV1</source>
        <translation>PV1 بدء</translation>
    </message>
    <message>
        <location filename="../RLtransient.py" line="88"/>
        <source>0 -&gt; 5V step on OD1</source>
        <translation type="unfinished">OD1  5 إلى فولت </translation>
    </message>
    <message>
        <location filename="../RLtransient.py" line="92"/>
        <source>5 -&gt; 0V step on OD1</source>
        <translation type="unfinished">OD1  إلى الصفر </translation>
    </message>
    <message>
        <location filename="../sr04dist.py" line="150"/>
        <source>No data to analyze.</source>
        <translation type="unfinished"> لا توجد بيانات لتحليلها </translation>
    </message>
    <message>
        <location filename="../RCtransient.py" line="150"/>
        <source>Fitted data with V=Vo*exp(-t/RC). RC = </source>
        <translation type="unfinished"> V=Vo*exp(-t/RC) യിൽ ഫിറ്റ് ചെയ്യുക  RC = </translation>
    </message>
    <message>
        <location filename="../RCtransient.py" line="152"/>
        <source>Failed to fit the curve with V=Vo*exp(-t/RC)</source>
        <translation type="unfinished"> فشل في ملاءمة المنحنى مع V = Vo * exp (-t / RC)</translation>
    </message>
    <message>
        <location filename="../RLCsteadystate.py" line="378"/>
        <source>Invalid Input in some field</source>
        <translation type="unfinished"> إدخال غير صالح في بعض المجالات </translation>
    </message>
    <message>
        <location filename="../RLtransient.py" line="97"/>
        <source>Rext =</source>
        <translation type="unfinished">Rext</translation>
    </message>
    <message>
        <location filename="../sr04dist.py" line="178"/>
        <source>Failed to fit the curve</source>
        <translation type="unfinished"> فشل في احتواء المنحنى </translation>
    </message>
    <message>
        <location filename="../RLtransient.py" line="181"/>
        <source> mSec : Rind = </source>
        <translation type="unfinished">mSec : Rind = </translation>
    </message>
    <message>
        <location filename="../RLtransient.py" line="184"/>
        <source>Failed to fit the curve with V=Vo*exp(-t*L/R)</source>
        <translation type="unfinished"> فشل في ملاءمة المنحنى مع V = Vo * exp (-t * L / R)</translation>
    </message>
    <message>
        <location filename="../scope.py" line="347"/>
        <source>%s input is clipped. Increase range</source>
        <translation type="unfinished">تم قطع إدخال٪ s. زيادة النطاق </translation>
    </message>
    <message>
        <location filename="../scope.py" line="445"/>
        <source>Range of</source>
        <translation type="unfinished">Range of</translation>
    </message>
    <message>
        <location filename="../scope.py" line="445"/>
        <source> set to </source>
        <translation type="unfinished"> set to </translation>
    </message>
    <message>
        <location filename="../scope.py" line="686"/>
        <source>Capacitance too high or short to ground</source>
        <translation type="unfinished"> السعة عالية جدًا أو قصيرة على الأرض </translation>
    </message>
    <message>
        <location filename="../soundBeats.py" line="102"/>
        <source>Change of Freqency effected
only after Enable/Disable controls.
shows the actual frequency set.
</source>
        <translation type="unfinished">
تغيير التكرار ساري المفعول
فقط بعد تمكين / تعطيل الضوابط.
يعرض مجموعة التردد الفعلية..</translation>
    </message>
    <message>
        <location filename="../soundFreqResp.py" line="202"/>
        <source>Completed in </source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../soundFreqResp.py" line="242"/>
        <source>Increase time interval to </source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../soundFreqResp.py" line="242"/>
        <source> or Reduce frequency span</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../soundFreqResp.py" line="254"/>
        <source> mS at each step</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../sr04dist.py" line="64"/>
        <source>Measure during</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../sr04dist.py" line="83"/>
        <source>Fit Curve using Sine</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../sr04dist.py" line="159"/>
        <source>Sine Fit Result: Frequency </source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../XYplot.py" line="102"/>
        <source>show (A1-A2) Vs A2</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../XYplot.py" line="58"/>
        <source>Voltage (A1)</source>
        <translation> الفولتية  (A2) {1)?}</translation>
    </message>
    <message>
        <location filename="../XYplot.py" line="164"/>
        <source>Y-intercept = %5.3f V</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../plotIV.py" line="86"/>
        <source>Ending PV1</source>
        <translation>PV1 تنتهي </translation>
    </message>
    <message>
        <location filename="../soundFreqResp.py" line="61"/>
        <source>Starting</source>
        <translation> بدء </translation>
    </message>
    <message>
        <location filename="../soundFreqResp.py" line="72"/>
        <source>Ending</source>
        <translation> تنتهي </translation>
    </message>
    <message>
        <location filename="../filterCircuit.py" line="99"/>
        <source># of Steps =</source>
        <translation type="obsolete"> خطوات:=</translation>
    </message>
    <message>
        <location filename="../soundFreqResp.py" line="88"/>
        <source>Sec</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../soundFreqResp.py" line="83"/>
        <source>Total time</source>
        <translation> الوقت الكلي </translation>
    </message>
    <message>
        <location filename="../scope.py" line="185"/>
        <source>Calibrated </source>
        <translation> معايرة </translation>
    </message>
    <message>
        <location filename="../scope.py" line="187"/>
        <source>Not Calibrated </source>
        <translation> غير معايرة </translation>
    </message>
    <message>
        <location filename="../scope.py" line="188"/>
        <source>Device Reconnected:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../filterCircuit.py" line="56"/>
        <source>Amplitude</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../filterCircuit.py" line="67"/>
        <source>WG range </source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../filterCircuit.py" line="79"/>
        <source>A2 range</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../filterCircuit.py" line="113"/>
        <source>Steps</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../filterCircuit.py" line="212"/>
        <source>Peak = %5.3f V at %4.1f Hz.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../filterCircuit.py" line="297"/>
        <source>Starting. Input Vp = %4.2f Volts at 1kHz</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../filterCircuit.py" line="299"/>
        <source>fit err.No proper input on A1</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../thermocouplelogger.py" line="55"/>
        <source>Temperature(C)</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../thermocouplelogger.py" line="156"/>
        <source>thermocouple not attached. : </source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../thermocouplelogger.py" line="159"/>
        <source>Temp: </source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../pnpCEout.py" line="42"/>
        <source>Current (mA)</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>Form</name>
    <message>
        <location filename="../layouts/scope_layout.ui" line="14"/>
        <source>Form</source>
        <translation> استمارة </translation>
    </message>
    <message>
        <location filename="../layouts/miniScope.ui" line="138"/>
        <source>Channels</source>
        <translation> القنوات </translation>
    </message>
    <message>
        <location filename="../layouts/miniScope.ui" line="182"/>
        <source>1mS</source>
        <translation>1mS</translation>
    </message>
    <message>
        <location filename="../layouts/scope_layout.ui" line="1297"/>
        <source>A2</source>
        <translation>A2</translation>
    </message>
    <message>
        <location filename="../layouts/miniScope.ui" line="207"/>
        <source>Results</source>
        <translation> نتائج </translation>
    </message>
    <message>
        <location filename="../layouts/miniScope.ui" line="228"/>
        <source>Cross Check Freq</source>
        <translation> عبر تحقق التكرار </translation>
    </message>
    <message>
        <location filename="../layouts/scope_layout.ui" line="138"/>
        <source>A2-A1</source>
        <translation>A2-A1</translation>
    </message>
    <message>
        <location filename="../layouts/scope_layout.ui" line="1323"/>
        <source>.</source>
        <translation>.</translation>
    </message>
    <message>
        <location filename="../layouts/scope_layout.ui" line="251"/>
        <source>Measure Voltages</source>
        <translation> قياس الفولتية </translation>
    </message>
    <message>
        <location filename="../layouts/scope_layout.ui" line="433"/>
        <source>16V</source>
        <translation>16V</translation>
    </message>
    <message>
        <location filename="../layouts/scope_layout.ui" line="438"/>
        <source>8V</source>
        <translation>8V</translation>
    </message>
    <message>
        <location filename="../layouts/scope_layout.ui" line="580"/>
        <source>4V</source>
        <translation>4V</translation>
    </message>
    <message>
        <location filename="../layouts/scope_layout.ui" line="448"/>
        <source>2.5V</source>
        <translation>2.5V</translation>
    </message>
    <message>
        <location filename="../layouts/scope_layout.ui" line="1204"/>
        <source>1V</source>
        <translation>1V</translation>
    </message>
    <message>
        <location filename="../layouts/scope_layout.ui" line="595"/>
        <source>0.5V</source>
        <translation>0.5V</translation>
    </message>
    <message>
        <location filename="../layouts/scope_layout.ui" line="496"/>
        <source>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;&lt;span style=&quot; font-weight:600;&quot;&gt;Amplitude&lt;/span&gt; and &lt;span style=&quot; font-weight:600;&quot;&gt;frequency&lt;/span&gt; extracted from the&lt;/p&gt;&lt;p&gt;sinusoidal signal using least square fitting.&lt;/p&gt;&lt;p&gt;&lt;br/&gt;&lt;/p&gt;&lt;p&gt;This assumes a sine wave input is provided.&lt;/p&gt;&lt;p&gt;&lt;br/&gt;&lt;/p&gt;&lt;p&gt;For mixed signals, use the FOURIER transform button&lt;/p&gt;&lt;p&gt;below.&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../layouts/scope_layout.ui" line="1309"/>
        <source>A3</source>
        <translation>A3</translation>
    </message>
    <message>
        <location filename="../layouts/scope_layout.ui" line="585"/>
        <source>2V</source>
        <translation>2V</translation>
    </message>
    <message>
        <location filename="../layouts/scope_layout.ui" line="411"/>
        <source>MIC</source>
        <translation>MIC</translation>
    </message>
    <message>
        <location filename="../layouts/scope_layout.ui" line="854"/>
        <source> Volts</source>
        <translation> فولت </translation>
    </message>
    <message>
        <location filename="../layouts/scope_layout.ui" line="897"/>
        <source> %</source>
        <translation> %</translation>
    </message>
    <message>
        <location filename="../layouts/scope_layout.ui" line="959"/>
        <source>symmetric</source>
        <translation>symmetric</translation>
    </message>
    <message>
        <location filename="../layouts/scope_layout.ui" line="1015"/>
        <source> Hz</source>
        <translation>Hz</translation>
    </message>
    <message>
        <location filename="../layouts/scope_layout.ui" line="841"/>
        <source>symmetric volts</source>
        <translation type="unfinished">symmetric volts</translation>
    </message>
    <message>
        <location filename="../layouts/scope_layout.ui" line="884"/>
        <source>SQ1</source>
        <translation>SQ1</translation>
    </message>
    <message>
        <location filename="../layouts/scope_layout.ui" line="940"/>
        <source>PV2</source>
        <translation>PV2</translation>
    </message>
    <message>
        <location filename="../layouts/scope_layout.ui" line="983"/>
        <source>WG</source>
        <translation>WG</translation>
    </message>
    <message>
        <location filename="../layouts/scope_layout.ui" line="806"/>
        <source>PV1</source>
        <translation>PV1</translation>
    </message>
    <message>
        <location filename="../layouts/scope_layout.ui" line="806"/>
        <source>Current Source Voltage:</source>
        <translation type="obsolete"> جهد المصدر الحالي:</translation>
    </message>
    <message>
        <location filename="../layouts/scope_layout.ui" line="742"/>
        <source>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;The voltage value at the constant current source output&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../layouts/scope_layout.ui" line="1049"/>
        <source>Timebase</source>
        <translation> قاعدة زمنية </translation>
    </message>
    <message>
        <location filename="../layouts/scope_layout.ui" line="1113"/>
        <source>Trigger</source>
        <translation> اثار </translation>
    </message>
    <message>
        <location filename="../layouts/scope_layout.ui" line="1126"/>
        <source>SAVE Traces</source>
        <translation> حفظ الآثار </translation>
    </message>
    <message>
        <location filename="../layouts/scope_layout.ui" line="1133"/>
        <source>CCS</source>
        <translation>CCS</translation>
    </message>
    <message>
        <location filename="../layouts/scope_layout.ui" line="1147"/>
        <source>Fourier Transform</source>
        <translation> تحويل فورييه </translation>
    </message>
    <message>
        <location filename="../layouts/scope_layout.ui" line="1167"/>
        <source>Resistance on SEN</source>
        <translation>SEN- المقاومة على </translation>
    </message>
    <message>
        <location filename="../layouts/scope_layout.ui" line="1174"/>
        <source>Frequency (IN2):</source>
        <translation>ഫീക്വൻസി (IN2):</translation>
    </message>
    <message>
        <location filename="../layouts/scope_layout.ui" line="1181"/>
        <source>OD1</source>
        <translation>OD1</translation>
    </message>
    <message>
        <location filename="../layouts/scope_layout.ui" line="1199"/>
        <source>80 mV</source>
        <translation>80 mV</translation>
    </message>
    <message>
        <location filename="../layouts/scope_layout.ui" line="1209"/>
        <source>3V (Amplitude)</source>
        <translation>3V (السعة)</translation>
    </message>
    <message>
        <location filename="../layouts/scope_layout.ui" line="1218"/>
        <source>WG( Sinusoidal )</source>
        <translation>WG (سين)</translation>
    </message>
    <message>
        <location filename="../layouts/scope_layout.ui" line="1223"/>
        <source>WG( Triangle )</source>
        <translation>WG (مثلث)</translation>
    </message>
    <message>
        <location filename="../layouts/scope_layout.ui" line="1228"/>
        <source>SQ2( Square )</source>
        <translation>SQ2 (ميدان)</translation>
    </message>
    <message>
        <location filename="../layouts/scope_layout.ui" line="1236"/>
        <source>Capacitance (IN1):</source>
        <translation> السعة.(IN1):</translation>
    </message>
    <message>
        <location filename="../layouts/scope_layout.ui" line="1243"/>
        <source>SHOW ALL</source>
        <translation> عرض الكل </translation>
    </message>
    <message>
        <location filename="../layouts/scope_layout.ui" line="1285"/>
        <source>A1</source>
        <translation>A1</translation>
    </message>
    <message>
        <location filename="../layouts/scope_layout.ui" line="151"/>
        <source>FREEZE</source>
        <translation> تجميد </translation>
    </message>
    <message>
        <location filename="../layouts/scope_layout.ui" line="164"/>
        <source>Cursor</source>
        <translation> المؤشر </translation>
    </message>
    <message>
        <location filename="../layouts/scope_layout.ui" line="666"/>
        <source>1.65mA</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../layouts/scope_layout.ui" line="685"/>
        <source>PCS</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../layouts/scope_layout.ui" line="723"/>
        <source>Voltage across PCS(mV):</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../layouts/browser_layout.ui" line="99"/>
        <source>deep</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../layouts/browser_layout.ui" line="123"/>
        <source>Double click to launch any experiment</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../layouts/browser_layout.ui" line="167"/>
        <source>&lt;!DOCTYPE HTML PUBLIC &quot;-//W3C//DTD HTML 4.0//EN&quot; &quot;http://www.w3.org/TR/REC-html40/strict.dtd&quot;&gt;
&lt;html&gt;&lt;head&gt;&lt;meta name=&quot;qrichtext&quot; content=&quot;1&quot; /&gt;&lt;style type=&quot;text/css&quot;&gt;
p, li { white-space: pre-wrap; }
&lt;/style&gt;&lt;/head&gt;&lt;body style=&quot; font-family:&apos;Ubuntu&apos;; font-size:11pt; font-weight:400; font-style:normal;&quot;&gt;
&lt;p style=&quot;-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-size:10pt;&quot;&gt;&lt;br /&gt;&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../layouts/blockly_layout.ui" line="81"/>
        <source>:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../layouts/blockly_layout.ui" line="59"/>
        <source>Examples</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../layouts/list_layout.ui" line="89"/>
        <source>&gt;</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>MainWindow</name>
    <message>
        <location filename="../main.py" line="201"/>
        <source>Oscilloscope</source>
        <translation>  راسم الذبذبات </translation>
    </message>
    <message>
        <location filename="../main.py" line="169"/>
        <source>Voltage measurement</source>
        <translation> قياس الفولتية </translation>
    </message>
    <message>
        <location filename="../main.py" line="170"/>
        <source>Resistance measurement</source>
        <translation> قياس المقاومة </translation>
    </message>
    <message>
        <location filename="../main.py" line="171"/>
        <source>Resistors in Series</source>
        <translation> المقاومات على التوالي </translation>
    </message>
    <message>
        <location filename="../main.py" line="172"/>
        <source>Resistors in Parallel</source>
        <translation>المقاومات بالتوازي</translation>
    </message>
    <message>
        <location filename="../main.py" line="173"/>
        <source>Capacitance measurement</source>
        <translation> قياس السعة </translation>
    </message>
    <message>
        <location filename="../main.py" line="174"/>
        <source>Capacitors in Series</source>
        <translation> المكثفات على التوالي </translation>
    </message>
    <message>
        <location filename="../main.py" line="175"/>
        <source>Capacitors in Parallel</source>
        <translation> المكثفات على التوالي </translation>
    </message>
    <message>
        <location filename="../main.py" line="176"/>
        <source>Resistance by Ohm&apos;s law</source>
        <translation> المقاومة بموجب قانون أوم </translation>
    </message>
    <message>
        <location filename="../main.py" line="177"/>
        <source>Direct and Alternating Currents</source>
        <translation> DC و AC </translation>
    </message>
    <message>
        <location filename="../main.py" line="178"/>
        <source>AC mains pickup</source>
        <translation> لاقط التيار المتردد </translation>
    </message>
    <message>
        <location filename="../main.py" line="179"/>
        <source>Separating AC and DC</source>
        <translation>DCو AC  متفرق  </translation>
    </message>
    <message>
        <location filename="../main.py" line="180"/>
        <source>Conducting Human body</source>
        <translation> إجراء جسم الإنسان </translation>
    </message>
    <message>
        <location filename="../main.py" line="181"/>
        <source>Resistance of Human body</source>
        <translation> مقاومة جسم الإنسان </translation>
    </message>
    <message>
        <location filename="../main.py" line="182"/>
        <source>Light Dependent Resistor</source>
        <translation> مقاوم يعتمد على الضوء </translation>
    </message>
    <message>
        <location filename="../main.py" line="183"/>
        <source>Lemon Cell</source>
        <translation> خلية الليمون </translation>
    </message>
    <message>
        <location filename="../main.py" line="184"/>
        <source>Simple AC generator</source>
        <translation> مولد AC بسيط </translation>
    </message>
    <message>
        <location filename="../main.py" line="185"/>
        <source>Transformer</source>
        <translation> محول </translation>
    </message>
    <message>
        <location filename="../main.py" line="186"/>
        <source>Resistance of Water</source>
        <translation> مقاومة الماء </translation>
    </message>
    <message>
        <location filename="../main.py" line="187"/>
        <source>Generating Sound</source>
        <translation> توليد الصوت </translation>
    </message>
    <message>
        <location filename="../main.py" line="188"/>
        <source>Digitizing Sound</source>
        <translation> رقمنة الصوت </translation>
    </message>
    <message>
        <location filename="../main.py" line="189"/>
        <source>Stroboscope</source>
        <translation> ستروبسكوب </translation>
    </message>
    <message>
        <location filename="../main.py" line="216"/>
        <source>Diode Characteristics</source>
        <translation> خصائص الديود </translation>
    </message>
    <message>
        <location filename="../main.py" line="217"/>
        <source>NPN Output Characteristics</source>
        <translation>NPN خصائص الإخراج </translation>
    </message>
    <message>
        <location filename="../main.py" line="218"/>
        <source>PNP Output Characteristics</source>
        <translation>PNP خصائص الإخراج </translation>
    </message>
    <message>
        <location filename="../main.py" line="202"/>
        <source>Halfwave Rectifier</source>
        <translation> معدل نصف الموجة </translation>
    </message>
    <message>
        <location filename="../main.py" line="277"/>
        <source>Fullwave Rectifier</source>
        <translation> مقوم الموجة الكاملة </translation>
    </message>
    <message>
        <location filename="../main.py" line="204"/>
        <source>Diode Clipping</source>
        <translation> قص الصمام الثنائي </translation>
    </message>
    <message>
        <location filename="../main.py" line="205"/>
        <source>Diode Clamping</source>
        <translation> لقط الصمام الثنائي </translation>
    </message>
    <message>
        <location filename="../main.py" line="206"/>
        <source>IC555 Multivibrator</source>
        <translation>IC555 هزاز متعدد </translation>
    </message>
    <message>
        <location filename="../main.py" line="207"/>
        <source>Transistor Amplifier (CE)</source>
        <translation> مضخم الترانزستور (CE)</translation>
    </message>
    <message>
        <location filename="../main.py" line="208"/>
        <source>Inverting Amplifier</source>
        <translation> مضخم عكسي </translation>
    </message>
    <message>
        <location filename="../main.py" line="209"/>
        <source>Non-Inverting Amplifier</source>
        <translation> مضخم غير مقلوب </translation>
    </message>
    <message>
        <location filename="../main.py" line="210"/>
        <source>Summing Amplifier</source>
        <translation> مكبر للصوت </translation>
    </message>
    <message>
        <location filename="../main.py" line="211"/>
        <source>Logic Gates</source>
        <translation> منطق البوابات </translation>
    </message>
    <message>
        <location filename="../main.py" line="212"/>
        <source>Clock Divider Circuit</source>
        <translation> حلبة مقسم الساعة </translation>
    </message>
    <message>
        <location filename="../main.py" line="224"/>
        <source>Plot I-V Curve</source>
        <translation> رسم منحنى I-V </translation>
    </message>
    <message>
        <location filename="../main.py" line="225"/>
        <source>XY Plotting</source>
        <translation>XY- التخطيط </translation>
    </message>
    <message>
        <location filename="../main.py" line="226"/>
        <source>RLC Steady state response</source>
        <translation>RLC استجابة حالة ثابتة </translation>
    </message>
    <message>
        <location filename="../main.py" line="227"/>
        <source>RC Transient response</source>
        <translation>RC استجابة عابرة </translation>
    </message>
    <message>
        <location filename="../main.py" line="228"/>
        <source>RL Transient response</source>
        <translation>RL استجابة عابرة </translation>
    </message>
    <message>
        <location filename="../main.py" line="229"/>
        <source>RLC transient response</source>
        <translation>RLC استجابة عابرة </translation>
    </message>
    <message>
        <location filename="../main.py" line="230"/>
        <source>Frequency Response of Filter Circuit</source>
        <translation> استجابة التردد لدائرة المرشح </translation>
    </message>
    <message>
        <location filename="../main.py" line="231"/>
        <source>Electromagnetic Induction</source>
        <translation> الحث الكهرومغناطيسي </translation>
    </message>
    <message>
        <location filename="../main.py" line="235"/>
        <source>Frequency Response of Piezo Buzzer</source>
        <translation> استجابة تردد بيزو الجرس </translation>
    </message>
    <message>
        <location filename="../main.py" line="236"/>
        <source>Velocity of Sound</source>
        <translation> سرعة الصوت </translation>
    </message>
    <message>
        <location filename="../main.py" line="237"/>
        <source>Sound beats</source>
        <translation> يدق الصوت </translation>
    </message>
    <message>
        <location filename="../main.py" line="241"/>
        <source>Rod Pendulum with Light barrier</source>
        <translation> البندول مع حاجز الضوء </translation>
    </message>
    <message>
        <location filename="../main.py" line="242"/>
        <source>Pendulum Waveform</source>
        <translation type="unfinished"> البندول الموجي </translation>
    </message>
    <message>
        <location filename="../main.py" line="243"/>
        <source>Driven Pendulum resonance</source>
        <translation> صدى البندول مدفوعة </translation>
    </message>
    <message>
        <location filename="../main.py" line="244"/>
        <source>Distance by HY-SRF04 Echo module</source>
        <translation> قس المسافة HY-SRF704</translation>
    </message>
    <message>
        <location filename="../main.py" line="245"/>
        <source>Gravity by Time of Flight</source>
        <translation> الجاذبية حسب زمن الرحلة </translation>
    </message>
    <message>
        <location filename="../main.py" line="249"/>
        <source>Temperatue, PT100 Sensor</source>
        <translation> درجة الحرارة،PT100 المستشعر </translation>
    </message>
    <message>
        <location filename="../main.py" line="250"/>
        <source>Data Logger</source>
        <translation> مسجل البيانات </translation>
    </message>
    <message>
        <location filename="../main.py" line="251"/>
        <source>Advanced Data Logger</source>
        <translation> مسجل بيانات متقدم </translation>
    </message>
    <message>
        <location filename="../main.py" line="256"/>
        <source>Magnetic Hysteresis (MPU925x Sensor)</source>
        <translation type="unfinished"> التباطؤ المغناطيسي (MPU925x المستشعر)</translation>
    </message>
    <message>
        <location filename="../main.py" line="257"/>
        <source>Luminosity(TSL2561) Logger</source>
        <translation> لمعان (TSL2561) المسجل </translation>
    </message>
    <message>
        <location filename="../main.py" line="259"/>
        <source>MPU-6050 Acccn, Velocity and Temp</source>
        <translation>MPU-6050  التسارع والسرعة ودرجة الحرارة </translation>
    </message>
    <message>
        <location filename="../main.py" line="260"/>
        <source>General Purpose I2C Sensors</source>
        <translation> هدف عام I2C مجسات </translation>
    </message>
    <message>
        <location filename="../main.py" line="264"/>
        <source>Read Inputs</source>
        <translation> قراءة المدخلات </translation>
    </message>
    <message>
        <location filename="../main.py" line="265"/>
        <source>Set DC Voltages</source>
        <translation> ضبط الفولتية DC </translation>
    </message>
    <message>
        <location filename="../main.py" line="266"/>
        <source>Capture Single Input</source>
        <translation> التقاط المدخلات الفردية </translation>
    </message>
    <message>
        <location filename="../main.py" line="267"/>
        <source>Capture Two Inputs</source>
        <translation> التقاط اثنين من المدخلات </translation>
    </message>
    <message>
        <location filename="../main.py" line="268"/>
        <source>Capture Four Inputs</source>
        <translation> التقاط أربعة مدخلات </translation>
    </message>
    <message>
        <location filename="../main.py" line="269"/>
        <source>Triangular Waveform</source>
        <translation> الشكل الموجي الثلاثي </translation>
    </message>
    <message>
        <location filename="../main.py" line="270"/>
        <source>Arbitrary Waveform</source>
        <translation> الموجي التعسفي </translation>
    </message>
    <message>
        <location filename="../main.py" line="271"/>
        <source>Waveform Table</source>
        <translation> الموجي التعسفي </translation>
    </message>
    <message>
        <location filename="../main.py" line="272"/>
        <source>RC Transient</source>
        <translation> RC عابر </translation>
    </message>
    <message>
        <location filename="../main.py" line="273"/>
        <source>RL Transient</source>
        <translation> RL عابر </translation>
    </message>
    <message>
        <location filename="../main.py" line="274"/>
        <source>RC Integration</source>
        <translation> التكامل RC </translation>
    </message>
    <message>
        <location filename="../main.py" line="275"/>
        <source>Clipping with Diode</source>
        <translation> القص مع الصمام الثنائي </translation>
    </message>
    <message>
        <location filename="../main.py" line="276"/>
        <source>Clamping with Diode</source>
        <translation> تحامل مع الصمام الثنائي </translation>
    </message>
    <message>
        <location filename="../main.py" line="278"/>
        <source>NPN Ib vs IC plot</source>
        <translation>NPN Ib-IC حبكة </translation>
    </message>
    <message>
        <location filename="../main.py" line="279"/>
        <source>Fourier Transform</source>
        <translation> تحويل فورييه </translation>
    </message>
    <message>
        <location filename="../main.py" line="280"/>
        <source>Rod Pendulum</source>
        <translation> رود البندول </translation>
    </message>
    <message>
        <location filename="../main.py" line="425"/>
        <source>Enable PopUp Help Window</source>
        <translation> تفعيل نافذة المساعدة المنبثقة </translation>
    </message>
    <message>
        <location filename="../layouts/scope_layout.ui" line="723"/>
        <source>Failed to load scope</source>
        <translation type="obsolete"> فشل تحميل النطاق </translation>
    </message>
    <message>
        <location filename="../layouts/scope_layout.ui" line="723"/>
        <source>Failed to load %s</source>
        <translation type="obsolete"> فشل تحميل٪ s </translation>
    </message>
    <message>
        <location filename="../main.py" line="46"/>
        <source>No immediate application</source>
        <translation type="obsolete"> لا يوجد تطبيق فوري </translation>
    </message>
    <message>
        <location filename="../main.py" line="47"/>
        <source>Please restart the application to lighten the screen&apos;s background</source>
        <translation type="obsolete"> يرجى إعادة تشغيل التطبيق لتفتيح خلفية الشاشة </translation>
    </message>
    <message>
        <location filename="../main.py" line="48"/>
        <source>Please restart the application to darken the screen&apos;s background.</source>
        <translation type="obsolete"> يرجى إعادة تشغيل التطبيق لتفتيح خلفية الشاشة.</translation>
    </message>
    <message>
        <location filename="../main.py" line="145"/>
        <source>Device</source>
        <translation> جهاز </translation>
    </message>
    <message>
        <location filename="../main.py" line="158"/>
        <source>Reconnect</source>
        <translation> أعد الاتصال </translation>
    </message>
    <message>
        <location filename="../main.py" line="159"/>
        <source>LightBackGround</source>
        <translation>  خفيفة  الخلفية </translation>
    </message>
    <message>
        <location filename="../main.py" line="160"/>
        <source>DarkBackGround</source>
        <translation>  خلفية داكنة </translation>
    </message>
    <message>
        <location filename="../main.py" line="161"/>
        <source>Choose Language</source>
        <translation>  اختر اللغة </translation>
    </message>
    <message>
        <location filename="../main.py" line="146"/>
        <source>School Expts</source>
        <translation> الخبرة المدرسية  </translation>
    </message>
    <message>
        <location filename="../main.py" line="147"/>
        <source>Electronics</source>
        <translation> إلكترونيات </translation>
    </message>
    <message>
        <location filename="../main.py" line="148"/>
        <source>Electrical</source>
        <translation> الكهرباء </translation>
    </message>
    <message>
        <location filename="../main.py" line="149"/>
        <source>Sound</source>
        <translation> يبدو </translation>
    </message>
    <message>
        <location filename="../main.py" line="150"/>
        <source>Mechanics</source>
        <translation> علم الميكانيكا </translation>
    </message>
    <message>
        <location filename="../main.py" line="151"/>
        <source>Other Expts</source>
        <translation> خبرة أخرى </translation>
    </message>
    <message>
        <location filename="../main.py" line="152"/>
        <source>I2C Modules</source>
        <translation>I2C الوحدات </translation>
    </message>
    <message>
        <location filename="../main.py" line="153"/>
        <source>PythonCode</source>
        <translation> كود Python </translation>
    </message>
    <message>
        <location filename="../layouts/newtonslaws.ui" line="14"/>
        <source>MainWindow</source>
        <translation> النافذة الرئيسية </translation>
    </message>
    <message>
        <location filename="../layouts/advancedLogger.ui" line="42"/>
        <source>CHOOSE Y PARAMETER</source>
        <translation> اختر Y المعامل </translation>
    </message>
    <message>
        <location filename="../layouts/advancedLogger.ui" line="49"/>
        <source>Click the Button above to select X axis parameter</source>
        <translation> انقر فوق الزر أعلاه لتحديد معلمة المحور X </translation>
    </message>
    <message>
        <location filename="../layouts/advancedLogger.ui" line="56"/>
        <source>Click the Button above to select Y axis parameter</source>
        <translation> انقر فوق الزر أعلاه لتحديد معلمة المحور Y </translation>
    </message>
    <message>
        <location filename="../layouts/advancedLogger.ui" line="69"/>
        <source>CHOOSE X PARAMETER</source>
        <translation> - اختر X معلمة </translation>
    </message>
    <message>
        <location filename="../layouts/advancedLogger.ui" line="107"/>
        <source>Datapoints</source>
        <translation> نقاط البيانات </translation>
    </message>
    <message>
        <location filename="../layouts/advancedLogger.ui" line="154"/>
        <source> milliSeconds</source>
        <translation> مللي ثانية </translation>
    </message>
    <message>
        <location filename="../layouts/advancedLogger.ui" line="127"/>
        <source>LOG DATA</source>
        <translation> تسجيل البيانات </translation>
    </message>
    <message>
        <location filename="../layouts/advancedLogger.ui" line="134"/>
        <source>Time Interval</source>
        <translation> الفاصل الزمني </translation>
    </message>
    <message>
        <location filename="../layouts/advancedLogger.ui" line="167"/>
        <source>Settling Time b/w X and Y</source>
        <translation> تسوية الوقت بين X و Y </translation>
    </message>
    <message>
        <location filename="../layouts/newtonslaws.ui" line="28"/>
        <source>None</source>
        <translation>-</translation>
    </message>
    <message>
        <location filename="../layouts/newtonslaws.ui" line="33"/>
        <source>2</source>
        <translation>2</translation>
    </message>
    <message>
        <location filename="../layouts/newtonslaws.ui" line="38"/>
        <source>3</source>
        <translation>3</translation>
    </message>
    <message>
        <location filename="../layouts/newtonslaws.ui" line="43"/>
        <source>4</source>
        <translation>4</translation>
    </message>
    <message>
        <location filename="../layouts/newtonslaws.ui" line="48"/>
        <source>5</source>
        <translation>5</translation>
    </message>
    <message>
        <location filename="../layouts/newtonslaws.ui" line="53"/>
        <source>6</source>
        <translation>6</translation>
    </message>
    <message>
        <location filename="../layouts/newtonslaws.ui" line="58"/>
        <source>7</source>
        <translation>7</translation>
    </message>
    <message>
        <location filename="../layouts/newtonslaws.ui" line="63"/>
        <source>8</source>
        <translation>8</translation>
    </message>
    <message>
        <location filename="../layouts/newtonslaws.ui" line="68"/>
        <source>9</source>
        <translation>9</translation>
    </message>
    <message>
        <location filename="../layouts/newtonslaws.ui" line="73"/>
        <source>10</source>
        <translation>10</translation>
    </message>
    <message>
        <location filename="../layouts/newtonslaws.ui" line="81"/>
        <source>RECORD</source>
        <translation> سجل </translation>
    </message>
    <message>
        <location filename="../layouts/newtonslaws.ui" line="91"/>
        <source>Calculate</source>
        <translation> احسب </translation>
    </message>
    <message>
        <location filename="../layouts/newtonslaws.ui" line="111"/>
        <source>Averaging Samples</source>
        <translation> متوسط العينات </translation>
    </message>
    <message>
        <location filename="../layouts/newtonslaws.ui" line="118"/>
        <source>Number of samples considered for moving average in results calculation</source>
        <translation></translation>
    </message>
    <message>
        <location filename="../layouts/newtonslaws.ui" line="125"/>
        <source>Polynomial Degree</source>
        <translation> درجة متعددة الحدود </translation>
    </message>
    <message>
        <location filename="../layouts/newtonslaws.ui" line="132"/>
        <source>Degree of the polynomial used for smoothing the data</source>
        <translation></translation>
    </message>
    <message>
        <location filename="../layouts/newtonslaws.ui" line="204"/>
        <source>Spline</source>
        <translation> خدد </translation>
    </message>
    <message>
        <location filename="../main.py" line="162"/>
        <source>Screenshot</source>
        <translation type="unfinished"> لقطة شاشة </translation>
    </message>
    <message>
        <location filename="../main.py" line="163"/>
        <source>Whole Window Alt-s</source>
        <translation type="unfinished"> نافذة كاملة Alt-s </translation>
    </message>
    <message>
        <location filename="../main.py" line="164"/>
        <source>Graph Only Alt-p</source>
        <translation type="unfinished"> رسم بياني فقط Alt-p </translation>
    </message>
    <message>
        <location filename="../main.py" line="165"/>
        <source>Credits</source>
        <translation type="unfinished"> الاعتمادات </translation>
    </message>
    <message>
        <location filename="../main.py" line="166"/>
        <source>Experiment List</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../main.py" line="258"/>
        <source>Temperature(MAX6675) Logger</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../main.py" line="252"/>
        <source>Visual Programming Editor</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>editorHandler</name>
    <message>
        <location filename="../main.py" line="494"/>
        <source>Failed to load scope</source>
        <translation type="obsolete"> فشل تحميل النطاق </translation>
    </message>
    <message>
        <location filename="../main.py" line="536"/>
        <source>Failed to load %s</source>
        <translation type="obsolete">%s فشل في التحميل </translation>
    </message>
    <message>
        <location filename="../main.py" line="479"/>
        <source>No immediate application</source>
        <translation type="obsolete"> لا يوجد تطبيق فوري </translation>
    </message>
    <message>
        <location filename="../main.py" line="467"/>
        <source>Please restart the application to lighten the screen&apos;s background</source>
        <translation type="obsolete"> يرجى إعادة تشغيل التطبيق لتفتيح خلفية الشاشة </translation>
    </message>
    <message>
        <location filename="../main.py" line="479"/>
        <source>Please restart the application to darken the screen&apos;s background.</source>
        <translation type="obsolete"> الرجاء إعادة تشغيل التطبيق لتعتيم خلفية الشاشة </translation>
    </message>
    <message>
        <location filename="../main.py" line="583"/>
        <source>Device</source>
        <translation type="obsolete"> جهاز </translation>
    </message>
    <message>
        <location filename="../main.py" line="584"/>
        <source>Reconnect</source>
        <translation type="obsolete"> أعد الاتصال </translation>
    </message>
    <message>
        <location filename="../main.py" line="493"/>
        <source>LightBackGround next time</source>
        <translation type="obsolete"> معرفتي خفيفة في المرة القادمة </translation>
    </message>
    <message>
        <location filename="../main.py" line="494"/>
        <source>DarkBackGround next time</source>
        <translation type="obsolete"> خلفية أغمق في المرة القادمة </translation>
    </message>
    <message>
        <location filename="../main.py" line="587"/>
        <source>Choose Language</source>
        <translation type="obsolete"> اختر اللغة </translation>
    </message>
    <message>
        <location filename="../main.py" line="620"/>
        <source>School Expts</source>
        <translation type="obsolete"> الخبرة المدرسية </translation>
    </message>
    <message>
        <location filename="../main.py" line="624"/>
        <source>Electronics</source>
        <translation type="obsolete"> إلكترونيات </translation>
    </message>
    <message>
        <location filename="../main.py" line="631"/>
        <source>Electrical</source>
        <translation type="obsolete"> الكهرباء </translation>
    </message>
    <message>
        <location filename="../main.py" line="635"/>
        <source>Sound</source>
        <translation type="obsolete"> صوت </translation>
    </message>
    <message>
        <location filename="../main.py" line="639"/>
        <source>Mechanics</source>
        <translation type="obsolete"> علم الميكانيكا </translation>
    </message>
    <message>
        <location filename="../main.py" line="643"/>
        <source>Other Expts</source>
        <translation type="obsolete"> خبرة أخرى </translation>
    </message>
    <message>
        <location filename="../main.py" line="647"/>
        <source>I2C Modules</source>
        <translation type="obsolete">I2C الوحدات </translation>
    </message>
    <message>
        <location filename="../main.py" line="651"/>
        <source>PythonCode</source>
        <translation type="obsolete"> كود بيتون </translation>
    </message>
    <message>
        <location filename="../main.py" line="957"/>
        <source>Oscilloscope</source>
        <translation type="obsolete"> راسم الذبذبات </translation>
    </message>
    <message>
        <location filename="../main.py" line="610"/>
        <source>Screenshot</source>
        <translation type="obsolete"> لقطة شاشة </translation>
    </message>
    <message>
        <location filename="../main.py" line="611"/>
        <source>Whole Window Alt-s</source>
        <translation type="obsolete"> نافذة كاملة Alt-s </translation>
    </message>
    <message>
        <location filename="../main.py" line="612"/>
        <source>Graph Only Alt-p</source>
        <translation type="obsolete"> Alt-p رسم بياني فقط  </translation>
    </message>
    <message>
        <location filename="../main.py" line="873"/>
        <source>Missing Plot</source>
        <translation type="obsolete"> مؤامرة مفقود </translation>
    </message>
    <message>
        <location filename="../main.py" line="907"/>
        <source>Enter Width(px). Height will be autoset</source>
        <translation type="obsolete"> سيتم تعيين الارتفاع تلقائيًا أدخل العرض</translation>
    </message>
    <message>
        <location filename="../main.py" line="613"/>
        <source>Credits</source>
        <translation type="obsolete"> الاعتمادات </translation>
    </message>
</context>
<context>
    <name>helpWin</name>
    <message>
        <location filename="../main.py" line="317"/>
        <source>Help: %s</source>
        <translation> مساعدة: %s</translation>
    </message>
</context>
<context>
    <name>portSelectionDialog</name>
    <message>
        <location filename="../main.py" line="775"/>
        <source>Credits</source>
        <translation type="unfinished"> الاعتمادات </translation>
    </message>
    <message>
        <location filename="../main.py" line="656"/>
        <source>Failed to load scope</source>
        <translation type="unfinished"> فشل تحميل النطاق </translation>
    </message>
    <message>
        <location filename="../main.py" line="698"/>
        <source>Failed to load %s</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../main.py" line="745"/>
        <source>Device</source>
        <translation type="unfinished"> جهاز </translation>
    </message>
    <message>
        <location filename="../main.py" line="746"/>
        <source>Reconnect</source>
        <translation type="unfinished"> أعد الاتصال </translation>
    </message>
    <message>
        <location filename="../main.py" line="747"/>
        <source>LightBackGround</source>
        <translation type="unfinished">  خفيفة  الخلفية </translation>
    </message>
    <message>
        <location filename="../main.py" line="748"/>
        <source>DarkBackGround</source>
        <translation type="unfinished">  خلفية داكنة </translation>
    </message>
    <message>
        <location filename="../main.py" line="749"/>
        <source>Choose Language</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../main.py" line="768"/>
        <source>Language = {} : done = {}, to finish = {}, untranslated = {}</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../main.py" line="772"/>
        <source>Screenshot</source>
        <translation type="unfinished"> لقطة شاشة </translation>
    </message>
    <message>
        <location filename="../main.py" line="773"/>
        <source>Whole Window Alt-s</source>
        <translation type="unfinished"> نافذة كاملة Alt-s </translation>
    </message>
    <message>
        <location filename="../main.py" line="774"/>
        <source>Graph Only Alt-p</source>
        <translation type="unfinished"> Alt-p رسم بياني فقط  </translation>
    </message>
    <message>
        <location filename="../main.py" line="776"/>
        <source>Experiment List</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../main.py" line="780"/>
        <source>Quit</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../main.py" line="782"/>
        <source>School Expts</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../main.py" line="786"/>
        <source>Electronics</source>
        <translation type="unfinished"> إلكترونيات </translation>
    </message>
    <message>
        <location filename="../main.py" line="793"/>
        <source>Electrical</source>
        <translation type="unfinished"> الكهرباء </translation>
    </message>
    <message>
        <location filename="../main.py" line="797"/>
        <source>Sound</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../main.py" line="801"/>
        <source>Mechanics</source>
        <translation type="unfinished"> علم الميكانيكا </translation>
    </message>
    <message>
        <location filename="../main.py" line="805"/>
        <source>Other Expts</source>
        <translation type="unfinished"> خبرة أخرى </translation>
    </message>
    <message>
        <location filename="../main.py" line="809"/>
        <source>I2C Modules</source>
        <translation type="unfinished">I2C الوحدات </translation>
    </message>
    <message>
        <location filename="../main.py" line="813"/>
        <source>PythonCode</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../main.py" line="949"/>
        <source>Translating ...</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../main.py" line="956"/>
        <source>Export screenshot in {name} ({localname}).</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../main.py" line="1035"/>
        <source>Missing Plot</source>
        <translation type="unfinished"> مؤامرة مفقود </translation>
    </message>
    <message>
        <location filename="../main.py" line="1035"/>
        <source>Unable to locate a plot. Please try to right click and export</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../main.py" line="1069"/>
        <source>Enter Width(px). Height will be autoset</source>
        <translation type="unfinished"> سيتم تعيين الارتفاع تلقائيًا أدخل العرض</translation>
    </message>
    <message>
        <location filename="../main.py" line="1119"/>
        <source>Oscilloscope</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>webWin</name>
    <message>
        <location filename="../blockcoding.py" line="94"/>
        <source>Block Coding: %s</source>
        <translation type="unfinished"></translation>
    </message>
</context>
</TS>
